> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sip Messages For A Conversation

> Get SIP messages associated with a conversation's phone call



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/conversations/{conversation_id}/sip-messages
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/conversations/{conversation_id}/sip-messages:
    get:
      tags:
        - Agents Platform
      summary: Get Sip Messages For A Conversation
      description: Get SIP messages associated with a conversation's phone call
      operationId: get_conversation_sip_messages
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            description: The id of the conversation you're taking the action on.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            embed: true
            title: Conversation Id
          description: The id of the conversation you're taking the action on.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
            default: 20
            title: Page Size
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSIPLogMessagesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetSIPLogMessagesResponse:
      properties:
        sip_messages:
          items:
            $ref: '#/components/schemas/SIPLogMessage'
          type: array
          title: Sip Messages
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      required:
        - sip_messages
      title: GetSIPLogMessagesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SIPLogMessage:
      properties:
        call_id:
          type: string
          title: Call Id
        phone_numbers:
          items:
            type: string
          type: array
          title: Phone Numbers
        local_address:
          type: string
          title: Local Address
        remote_address:
          type: string
          title: Remote Address
        transport:
          type: string
          title: Transport
        raw_message:
          type: string
          title: Raw Message
        error_message:
          type: string
          title: Error Message
        direction:
          $ref: '#/components/schemas/SIPLogMessageDirection'
        created_at_unix_micro:
          type: integer
          title: Created At Unix Micro
      type: object
      required:
        - call_id
        - phone_numbers
        - local_address
        - remote_address
        - transport
        - raw_message
        - error_message
        - direction
        - created_at_unix_micro
      title: SIPLogMessage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SIPLogMessageDirection:
      type: string
      enum:
        - in
        - out
      title: SIPLogMessageDirection

````